# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
rust-version = "1.63"
name = "entrouter-universal"
version = "0.7.0"
authors = ["John Aron Keeney"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Pipeline integrity guardian - what goes in, comes out identical."
readme = "README.md"
keywords = [
    "integrity",
    "base64",
    "sha256",
    "encoding",
    "verification",
]
categories = [
    "encoding",
    "cryptography",
]
license = "Apache-2.0"
repository = "https://github.com/Entrouter/entrouter-universal"

[features]
compression = ["flate2"]
default = ["compression"]

[lib]
name = "entrouter_universal"
path = "src/lib.rs"

[[bin]]
name = "entrouter"
path = "src/main.rs"

[[test]]
name = "test"
path = "tests/test.rs"

[dependencies.base64]
version = "0.22"

[dependencies.flate2]
version = "1.0"
optional = true

[dependencies.hex]
version = "0.4"

[dependencies.serde]
version = "1.0"
features = ["derive"]

[dependencies.serde_json]
version = "1.0"

[dependencies.sha2]
version = "0.10"

[dependencies.thiserror]
version = "2.0"
